SRC/zlangt.f(3)

NAME
SRC/zlangt.f

SYNOPSIS

  Functions/Subroutines
double precision function zlangt (norm, n, dl, d, du)
ZLANGT returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general tridiagonal matrix.

Function/Subroutine Documentation

  double precision function zlangt (character norm, integer n, complex*16, dimension( * ) dl, complex*16, dimension( * ) d, complex*16, dimension( * ) du)

ZLANGT returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general tridiagonal matrix.

Purpose:

     ZLANGT  returns the value of the one norm,  or the Frobenius norm, or
     the  infinity norm,  or the  element of  largest absolute value  of a
     complex tridiagonal matrix A.

Returns
    ZLANGT

        ZLANGT = ( max(abs(A(i,j))), NORM = 'M' or 'm'
                 (
                 ( norm1(A),         NORM = '1', 'O' or 'o'
                 (
                 ( normI(A),         NORM = 'I' or 'i'
                 (
                 ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
     where  norm1  denotes the  one norm of a matrix (maximum column sum),
     normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
     normF  denotes the  Frobenius norm of a matrix (square root of sum of
     squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix norm.

Parameters
    NORM

              NORM is CHARACTER*1
              Specifies the value to be returned in ZLANGT as described
              above.

    N

              N is INTEGER
              The order of the matrix A.  N >= 0.  When N = 0, ZLANGT is
              set to zero.

    DL

              DL is COMPLEX*16 array, dimension (N-1)
              The (n-1) sub-diagonal elements of A.

    D

              D is COMPLEX*16 array, dimension (N)
              The diagonal elements of A.

    DU

              DU is COMPLEX*16 array, dimension (N-1)
              The (n-1) super-diagonal elements of A.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 105 of file zlangt.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.